Subject: Re: DM9000_IRQ_FLAGS

From: Daniel Mack <[email-masked]>
Date: Tue, 15 Jan 2008 12:42:27 +0100

On Thu, Dec 20, 2007 at 10:54:34AM +0100, Remy Bohmer wrote:
> > I did have a go at trying to get people to pass the information this
> > way, but it seem to be ignored last time I sent it. I can dig out the
> > code that converts resource->flags to IRQT_ flags.
> 
> I thought this issue was already solved by using set_irq_type() in the
> BSP, just like all the other boards do...

Yes, exactly. I was trapped by another board file which specifies
interrupt types using 'struct resources'->flags for that
(arch/arm/mach-pxa/trizeps4.c) which is, as you pointed out earlier, not
the way to go. 

Sorry for the noise.

Best regards,
Daniel